
Redmine - Feature #29894

View watchers on the issue list

2018-11-02 05:46 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

Currently, you have to go to the detail page of an issue if you want to see the list of watchers.

I think it would be nice if Redmine shows watchers for each issue on the issues list. With this feature.  This feature is a bit similar to 

#25515.

Related issues:

Related to Redmine - Feature #36848: API  allow display "watchers"  when list... New

Related to Redmine - Feature #37973: Enable to display watches count on issue... New

Has duplicate Redmine - Feature #12766: Enable arrays and watcher in query co... Closed

Has duplicate Redmine - Feature #6299: Add "watched" as possible column in is... Closed 2010-09-05

Associated revisions

Revision 22793 - 2024-04-28 09:26 - Marius BĂLTEANU

Adds Watcher list to the list of available query columns for issues (#29894).

Patch by Felix Schäfer (@felix).

Revision 22808 - 2024-05-03 10:24 - Marius BĂLTEANU

Fixes failing tests on postgresql (#29894).

History

#1 - 2018-11-16 03:12 - Mizuki ISHIKAWA

- File watchers.png added

- File feature-29894.patch added

 watchers.png 

Looking at watchers at index is useful for knowing issues that users are interested in.

Applying this patch will allow you to add a watchers column with issues / index.

Issue#visible_watchers checks the :view_issue_watchers permission and displays only watchers that can be viewed.

#2 - 2018-11-16 14:20 - Bernhard Rohloff

I think this column gets really messy if you have 10 or more watchers on the list.

I'd also argue that this information isn't useful by any means. Perhaps the count of watchers but not the entire list.

#3 - 2018-11-18 06:13 - Yuuki NARA

+1

#4 - 2019-02-20 10:31 - Jens Krämer

+1

that's indeed useful (and if not, well then do not add this column to your issues list :)

#5 - 2019-02-20 11:42 - Go MAEDA

- Target version set to Candidate for next major release
#6 - 2019-02-20 14:28 - Anonymous

+1 but I agree with Bernhard

I think this column gets really messy if you have 10 or more watchers on the list.

I'd also argue that this information is useful by any means. Perhaps the count of watchers but not the entire list.

 Maybe watcher count, but to show list of watchers in the tool-tip whenever rolling over the number of watchers. The same tool-tip which is used in the

gantt or calendar.

#7 - 2019-08-11 13:30 - Go MAEDA

- Related to Feature #12644: Display watch status in ticket list added

#8 - 2021-06-04 07:38 - Nipun Tharuka

How to add the patch to Redmine? I'm getting these errors. I'm using Redmine from Bitanmi.

C:\Bitnami\redmine-4.2.1-0\apps\redmine\htdocs>patch p0 < 123.patch

can't find file to patch at input line 5

Perhaps you used the wrong -p or --strip option?

The text leading up to this was:

------------------------- |diff --git a/app/helpers/queries_helper.rb b/app/helpers/queries_helper.rb |index 01d10d883c..1d721d7528 100644 |---

a/app/helpers/queries_helper.rb |+++ b/app/helpers/queries_helper.rb

--------------------------

File to patch:

Version Information

---------------------

Environment:

Redmine version                4.2.1.stable

Ruby version                   2.6.7-p197 (2021-04-05) [x64-mingw32]

Rails version                  5.2.5

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

SCM:

Git                            2.31.1

Filesystem

Redmine plugins:

no plugin installed

#9 - 2021-06-04 07:43 - Mizuki ISHIKAWA

Nipun Tharuka wrote:

How to add the patch to Redmine? I'm getting these errors. I'm using Redmine from Bitanmi.

 You can apply the patch with a command like this:

patch -p1 < feature-29894.patch

 However, since this patch was written two years ago, I'm not sure if it will work for the current Redmine.

#10 - 2021-06-10 04:45 - Go MAEDA

- Related to deleted (Feature #12644: Display watch status in ticket list)

#11 - 2021-06-10 04:45 - Go MAEDA

- Related to Feature #6299: Add "watched" as possible column in issues list added

#12 - 2022-03-28 10:54 - Go MAEDA

- Related to Feature #36848: API  allow display "watchers"  when listing several issues added

#13 - 2022-12-09 06:31 - Go MAEDA

- Related to Feature #37973: Enable to display watches count on issues list added

#14 - 2024-01-22 13:09 - Go MAEDA
- Has duplicate Feature #12766: Enable arrays and watcher in query column_content added

#15 - 2024-02-27 19:23 - Holger Just

- Related to deleted (Feature #6299: Add "watched" as possible column in issues list)

#16 - 2024-02-27 19:23 - Holger Just

- Has duplicate Feature #6299: Add "watched" as possible column in issues list added

#17 - 2024-03-15 19:36 - Felix Schäfer

- File 29894v1.patch added

We have tried working on this feature but have noticed different behaviours regarding especially watchers and watcher groups regarding different

parts of the UI. We will create additional tickets for these issues.

Regarding the attached patch, we have decided to currently follow exactly the model of the watcher list in the sidebar of a single issue view: If you

have the view_issue_watchers permission for a project you can see all watchers, if you do not have the permission you cannot see any watchers.

This decision was made to avoid introducing an additional different behaviour from other places handling watchers, and because you can already

check which issues you watch yourself using the "Watcher: me" filter.

#18 - 2024-03-15 22:24 - Felix Schäfer

Felix Schäfer wrote in #note-17:

We will create additional tickets for these issues.

 Other issues that might be relevant to this discussion:

- #40411 users currently cannot always see if they watch an issue because of a group membership

- #40412 users currently cannot filter by watched by group membership if they do not have the view_issue_watchers permission

#19 - 2024-04-03 09:24 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

Felix, thank you for working on this.

I am setting the target version for this issue to 6.0.0.

#20 - 2024-04-28 09:27 - Marius BĂLTEANU

- Subject changed from  View watchers on the issue list to View watchers on the issue list

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

Committed the patch, thanks!

#21 - 2024-05-02 12:02 - Go MAEDA

- File 29894-fix-random-test-failure.patch added

The test IssuesControllerTest#test_index_with_watchers_column_as_csv randomly fails.

Please review the patch 29894-fix-random-test-failure.patch that fixes the issue.

Failure:

IssuesControllerTest#test_index_with_watchers_column_as_csv [test/functional/issues_controller_test.rb:1984]:

""Redmine Admin

Dave Lopper"" not found in "#,Subject,Watchers

1,Cannot print recipes,"" 

2,Add ingredients categories,"Dave Lopper

Redmine Admin" 

3,Error 281 when updating a recipe,"" 

4,Issue on project 2,"" 

5,Subproject issue,"" 

6,Issue of a private subproject,"" 

7,Issue due today,"" 

9,Blocked Issue,"" 

10,Issue Doing the Blocking,"" 

13,Subproject issue two,"" 
14,Private issue on public project,"" 

" 

bin/rails test test/functional/issues_controller_test.rb:1971

#22 - 2024-05-03 10:27 - Marius BĂLTEANU

- Status changed from Resolved to Closed

super.sorted triggers lots of queries on my environment. I've committed a different fix in r22808.

Files

watchers.png 229 KB 2018-11-16 Mizuki ISHIKAWA

feature-29894.patch 7.33 KB 2018-11-16 Mizuki ISHIKAWA

29894v1.patch 7.39 KB 2024-03-15 Felix Schäfer

29894-fix-random-test-failure.patch 1006 Bytes 2024-05-02 Go MAEDA
